ENEMY_ENUM = {
    empty:-1,
    BOULDER:0, 
    CHEESE_WIZARD:1, 
    BACON_DOOR:2, 
    //CAKE_GOLEM:3, 
    //FRUIT_JELLY:4, 
    PLANT:5, 

    PEON_NEUTRAL:6,
    
    PEON_WEAPON:7,
    PEON_SNEAK:8,
    PEON_FAITH:9,
    PEON_MAGIC:10,

    PEON_MEAT:11,
    PEON_FRUIT:12,
    PEON_DAIRY:13,
    PEON_SWEET:14,

    PEON_MULTIPLE:15,
    
    SINGLE_ATTACKER:16,

    WEAPON_ATTACKER_HIGH:17,
    WEAPON_ATTACKER_LOW:18,

    DEVASTATING_ATTACKER:19,

    
    GARDEN_MAZE:20,
    CRACKER_DOOR:21,
    FALLING_CORN:22,
    PEANUT_KNIGHT:23,

    DISCORD_APPLE:24,
    SALTWATER_ELEMENTAL:25,

    CARBONATED_FORCE_BARRIER:26,
    SHAMBLING_FRUIT_SALAD:27,
    NULL_SUGAR_CRYSTAL:28,

    GRAPE_DRAGON:29,
    PEON_BIG_MAGIC:30,

    FAST_FRIES:31,
    CHEESE_GHOST:32,

    CANDY_DOOR:33,
    ICE_CREAM_GHOST:34,
    DEVIL_FOOD_GOLEM:35,
    CANDY_DRAGON:36,
    CANDY_AUTOMATON:37,

    CARROT_DOOR:38,
    ONION_KNIGHT:39,
    BREAD_SAMURAI:40,
    MEAT_DRAGON:41,
    
    CREEPY_PASTA:42,
    MILK_DRAGON:43,
    CANDY_ZOMBIE:44,
    SHY_CREEPY_PASTA:45,

    CHEESE_ZOMBIE:46,
    CROISSANT_PRIEST:47,
    CROISSANT_KNIGHT:48,
    PINK_SLIME:49,
    LETTUCE_DRAGON:50,

    BACON_GOLEM: 51,
    CREAMED_CORN_SLIME: 52,
    BUFFET_TREBUCHET: 53,
    LOLLIPOP_NECROMANCER_RED: 54,
    LOLLIPOP_NECROMANCER_GREEN: 55,
    CELERITY_CELERY: 56,

    CREAM_CHEESE_HARPY: 57,
    BUTTER_BURGLAR: 58,
    BLUE_CHEESE_CYCLOPS: 59,

    BROCOLLI_DEMON_DOOR: 60,
    CILANTRO_RUNE: 61,
    SKELETON_WARRIOR: 62,
    GHOST_PRINCE: 63,
    TOMATO_SKULL: 64,

    ORANGE_ARCANE_TURRET: 65,
    WATERMELON_KNIGHT: 66,
    FRUITCAKE_GOLEM: 67,
    ORANGE_PRINCE: 68,
    BANANA_KNIGHT: 69, //nice
    SNEAKY_STRAWBERRY: 70,

    PEPPERMINT_PIXIE: 71,
    GARLIC_GATE: 72,
    SPRING_ONION_SPRITE: 73,
    FAIRY_QUEEN: 74,
    FROZEN_YOGURT_FAIRY: 75,

    BANANA_INQUISITOR: 76,
    BANANA_HIGH_PRIEST: 77,

SUCCUBUS_TRAINER: 78,
INCUBUS_TRAINER:79,

MUSHROOM_ARMOR:80,
MUSHROOM_GHOST:81,
MUSHROOM_COOKIE:82,
FUNGAL_THRALL:83,
FUNGAL_QUEEN:84,

MANDRAKE:85,
FIRE_IMP:86,
SCARECROW:87,
WINTER_WOLF:88,
TIME_WITCH:89,

SHADOW_WARRIOR:90,
SHADOW_THIEF:91,
SHADOW_WITCH:92,
SHADOW_ERROR:93,
SHADOW_BARD:94,
SHADOW_SPELLBLADE:95,
SHADOW_KNIGHT:96,
SHADOW_ILLUSIONIST:97,
SHADOW_ENGINEER:98,
SHADOW_RANGER:99,
SHADOW_PSYCHIC:100,
SHADOW_MONK:101,
SHADOW_DANCER:102,
SHADOW_NECROMANCER:103,
SHADOW_MERCHANT:104,
SHADOW_TRICKSTER:105,
SHADOW_BARBARIAN:106,
SHADOW_INQUISITOR:107,
SHADOW_DRUID:108,
SHADOW_ALCHEMIST:109,
SHADOW_BEASTKIN:110,
SHADOW_RAIDER:111,
SHADOW_MAGUS:112,
SHADOW_SPY:113,



    NUM_ENEMY:114

};
    //NUM_ENEMY:12;

    TEXT_COLOR_ENUM = 
    {
        WHITE:0,
        RED:1,
        GREEN:2,
        NUM_TEXT_COLOR:3
    };

FOOD_TYPE_ENUM = {MEAT:0, DAIRY:1, GRAIN:2, FRUIT:3, VEGGIES:4, SWEET:5, SALT:6, SPICY:7, NUM_FOOD_TYPE:8};

STAT_TYPE_ENUM = {
        //damage abilities
    WEAPON:0,
    MAGIC:1,
    FAITH:2,
    SNEAK:3,

        //support abilities
    HEAL:4,
    BUFF:5,
    ARMOR:6,

        //misc
    ATTACK_TIMER:7,
    MAX_ATTACK_TIMER:8,
    FULLNESS:9,
    MAX_FULLNESS:10,
    WEIGHT:11,
    DIGESTION_RATE:12,
    NUM_STAT_TYPE:13
    };

    const NUM_ATTACKS_ABILITIES = STAT_TYPE_ENUM.ATTACK_TIMER;

GAMESTATE_ENUM = {
    TITLE_SCREEN:0,
    DUNGEON:1,
    UPGRADES:2,
    CREDITS_SCREEN:3,
    LOADING:4,
    NUM_GAMESTATE:5
};

AOE_TYPE_ENUM = {
    AOE_SINGLE:0,
    AOE_AREA:1,
    AOE_PIERCE:2,
    AOE_ALL:3,
    AOE_ROW:4,
    AOE_COLUMN:5,
    NUM_AOE_TYPE:6

};

REWARD_TYPE_ENUM = {
    INVALID_REWARD_TYPE:0,
    CHARACTER:1,
    ITEM:2,
    BONUS_EXTRACT:3,

    NUM_REWARD_TYPE:4
}

ITEM_ENUM = {
    SWORD:0,
    POTION:1,
    WAND:2,
    CHOCOLATE_SAUCE:3,

    SHIELD:4,
    DAGGER:5,
    TOME:6,
    BUFF_POTION:7,

    GUAC:8,
    SLICE_OF_CHEESE:9,
    BBQ_SAUCE: 10,
    HUMMUS: 11,

    NUM_ITEM:11

}

RANK_ENUM = {
    S_RANK:0,
    A_RANK:1,
    B_RANK:2,
    C_RANK:3,
    D_RANK:4,
    F_RANK:5,
    NUM_RANK:6

}